Index: WAeUP_SRP/trunk/profiles/default/layouts/application_ct.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_ct.xml	(revision 4240)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_ct.xml	(revision 4241)
@@ -365,5 +365,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">CEST</property>
+    <property name="prefix">CT</property>
     <property name="reference"></property>
   </widget>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_dp.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_dp.xml	(revision 4240)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_dp.xml	(revision 4241)
@@ -365,5 +365,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">CEST</property>
+    <property name="prefix">DP</property>
     <property name="reference"></property>
   </widget>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pt.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pt.xml	(revision 4240)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pt.xml	(revision 4241)
@@ -365,5 +365,5 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-    <property name="prefix">CEST</property>
+    <property name="prefix">PT</property>
     <property name="reference"></property>
   </widget>
Index: WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 4240)
+++ WAeUP_SRP/trunk/skins/waeup_student/apply_admission.py	(revision 4241)
@@ -31,5 +31,5 @@
 
 #manage = "manage" in request.keys()
-screening_types = ('prence','pume','pce','pde','cest','sandwich')
+screening_types = ('prence','pume','pce','pde','cest','sandwich','dp','ct','pt')
 if not (traverse_subpath and traverse_subpath[0] in screening_types):
     return request.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
@@ -53,7 +53,7 @@
 headings_slip['pce'] = 'PCE Screening (2007/2008) Aknowledgement Slip'
 headings_slip['cest'] = 'CEST Application (2008/2009) Aknowledgement Slip'
-headings_slip['pt'] = 'CEST Application (2009/2010) Aknowledgement Slip'
-headings_slip['dp'] = 'CEST Application (2009/2010) Aknowledgement Slip'
-headings_slip['ct'] = 'CEST Application (2009/2010) Aknowledgement Slip'
+headings_slip['pt'] = 'Part-Time Degree Application (2009/2010) Aknowledgement Slip'
+headings_slip['dp'] = 'Diploma Programme Application (2009/2010) Aknowledgement Slip'
+headings_slip['ct'] = 'Certificate Programme Application (2009/2010) Aknowledgement Slip'
 headings_slip['sandwich'] = 'Application for Part Time Degree in Education (2008/2009) Aknowledgement Slip'
 configuration += ('heading_slip',headings_slip),
@@ -72,5 +72,5 @@
 deaddates['pt'] = DateTime.DateTime(pprops.date5)
 deaddates['dp'] = DateTime.DateTime(pprops.date5)
-deaddates['ct'] = DateTime.DateTime(pprops.date3)
+deaddates['ct'] = DateTime.DateTime(pprops.date5)
 configuration += ('deaddate',deaddates),
 
Index: WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 4240)
+++ WAeUP_SRP/trunk/skins/waeup_uniben/config_form.pt	(revision 4241)
@@ -141,5 +141,5 @@
         <th>
           <label>
-            Deadline CEST Application:
+            Deadline CEST Application 2008/2009:
           </label>
         </th>
@@ -153,5 +153,5 @@
         <th>
           <label>
-            Deadline SANDWICH Application:
+            Deadline PT/DP/CT Application:
           </label>
         </th>
@@ -160,5 +160,6 @@
                  tal:attributes="value pprops/date4" />
         </td>
-      </tr>          
+      </tr>         
+    
     </table>
     <p>