Index: WAeUP_SRP/trunk/skins/waeup_statistics/statistics_new_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_statistics/statistics_new_view.pt	(revision 3959)
+++ WAeUP_SRP/trunk/skins/waeup_statistics/statistics_new_view.pt	(revision 4305)
@@ -28,14 +28,14 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total New</th>
-            <th align="right">SC</th>
-            <th align="right">AD</th>
-            <th align="right">OR</th>
-            <th align="right">CPE</th>
-            <th align="right">CR</th>
-            <th align="right">VC</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
+            <th style='text-align:right'>Total New</th>
+            <th style='text-align:right'>SC</th>
+            <th style='text-align:right'>AD</th>
+            <th style='text-align:right'>OR</th>
+            <th style='text-align:right'>CPE</th>
+            <th style='text-align:right'>CR</th>
+            <th style='text-align:right'>VC</th>
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
 
           </tr>
@@ -43,40 +43,40 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_ft" />
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/student_created_ft" />
                 (<span tal:content="d/student_created_ft_percent" />%)
               </td>    
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/admitted_ft" />
                 (<span tal:content="d/admitted_ft_percent" />%)
               </td>              
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/objection_raised_ft" />
                 (<span tal:content="d/objection_raised_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_pin_entered_ft" />
                 (<span tal:content="d/clearance_pin_entered_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_requested_ft" />
                 (<span tal:content="d/clearance_requested_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/cleared_and_validated_ft" />
                 (<span tal:content="d/cleared_and_validated_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_ft" />
                 (<span tal:content="d/school_fee_paid_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_ft" />
                 (<span tal:content="d/courses_registered_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_ft" />
                 (<span tal:content="d/courses_validated_ft_percent" />%)
@@ -92,14 +92,14 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total New</th>
-            <th align="right">SC</th>
-            <th align="right">AD</th>
-            <th align="right">OR</th>
-            <th align="right">CPE</th>
-            <th align="right">CR</th>
-            <th align="right">VC</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
+            <th style='text-align:right'>Total New</th>
+            <th style='text-align:right'>SC</th>
+            <th style='text-align:right'>AD</th>
+            <th style='text-align:right'>OR</th>
+            <th style='text-align:right'>CPE</th>
+            <th style='text-align:right'>CR</th>
+            <th style='text-align:right'>VC</th>
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
 
           </tr>
@@ -107,40 +107,40 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_pt" />
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/student_created_pt" />
                 (<span tal:content="d/student_created_pt_percent" />%)
               </td>                  
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/admitted_pt" />
                 (<span tal:content="d/admitted_pt_percent" />%)
               </td>              
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/objection_raised_pt" />
                 (<span tal:content="d/objection_raised_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_pin_entered_pt" />
                 (<span tal:content="d/clearance_pin_entered_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_requested_pt" />
                 (<span tal:content="d/clearance_requested_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/cleared_and_validated_pt" />
                 (<span tal:content="d/cleared_and_validated_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_pt" />
                 (<span tal:content="d/school_fee_paid_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_pt" />
                 (<span tal:content="d/courses_registered_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_pt" />
                 (<span tal:content="d/courses_validated_pt_percent" />%)
@@ -156,14 +156,14 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total New</th>
-            <th align="right">SC</th>
-            <th align="right">AD</th>
-            <th align="right">OR</th>
-            <th align="right">CPE</th>
-            <th align="right">CR</th>
-            <th align="right">VC</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
+            <th style='text-align:right'>Total New</th>
+            <th style='text-align:right'>SC</th>
+            <th style='text-align:right'>AD</th>
+            <th style='text-align:right'>OR</th>
+            <th style='text-align:right'>CPE</th>
+            <th style='text-align:right'>CR</th>
+            <th style='text-align:right'>VC</th>
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
 
           </tr>
@@ -171,40 +171,40 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_dp" />
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/student_created_dp" />
                 (<span tal:content="d/student_created_dp_percent" />%)
               </td>                  
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/admitted_dp" />
                 (<span tal:content="d/admitted_dp_percent" />%)
               </td>              
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/objection_raised_dp" />
                 (<span tal:content="d/objection_raised_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_pin_entered_dp" />
                 (<span tal:content="d/clearance_pin_entered_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_requested_dp" />
                 (<span tal:content="d/clearance_requested_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/cleared_and_validated_dp" />
                 (<span tal:content="d/cleared_and_validated_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_dp" />
                 (<span tal:content="d/school_fee_paid_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_dp" />
                 (<span tal:content="d/courses_registered_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_dp" />
                 (<span tal:content="d/courses_validated_dp_percent" />%)
Index: WAeUP_SRP/trunk/skins/waeup_statistics/statistics_previous_ret_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_statistics/statistics_previous_ret_view.pt	(revision 3959)
+++ WAeUP_SRP/trunk/skins/waeup_statistics/statistics_previous_ret_view.pt	(revision 4305)
@@ -28,14 +28,14 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total</th>
-            <th align="right">ADM</th>
-            <th align="right">OR</th>
-            <th align="right">CPE</th>
-            <th align="right">CR</th>
-            <th align="right">VC</th>
-            <th align="right">RET</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
+            <th style='text-align:right'>Total</th>
+            <th style='text-align:right'>ADM</th>
+            <th style='text-align:right'>OR</th>
+            <th style='text-align:right'>CPE</th>
+            <th style='text-align:right'>CR</th>
+            <th style='text-align:right'>VC</th>
+            <th style='text-align:right'>RET</th>
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
 
           </tr>
@@ -43,40 +43,40 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_ft" />
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/admitted_ft" />
                 (<span tal:content="d/admitted_ft_percent" />%)
               </td>    
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/objection_raised_ft" />
                 (<span tal:content="d/objection_raised_ft_percent" />%)
               </td>    
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_pin_entered_ft" />
                 (<span tal:content="d/clearance_pin_entered_ft_percent" />%)
               </td>     
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_requested_ft" />
                 (<span tal:content="d/clearance_requested_ft_percent" />%)
               </td>          
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/cleared_and_validated_ft" />
                 (<span tal:content="d/cleared_and_validated_ft_percent" />%)
               </td>                                                       
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/returning_ft" />
                 (<span tal:content="d/returning_ft_percent" />%)
               </td>              
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_ft" />
                 (<span tal:content="d/school_fee_paid_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_ft" />
                 (<span tal:content="d/courses_registered_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_ft" />
                 (<span tal:content="d/courses_validated_ft_percent" />%)
@@ -92,14 +92,14 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total</th>
-            <th align="right">ADM</th>
-            <th align="right">OR</th>
-            <th align="right">CPE</th>
-            <th align="right">CR</th>
-            <th align="right">VC</th>
-            <th align="right">RET</th>
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
+            <th style='text-align:right'>Total</th>
+            <th style='text-align:right'>ADM</th>
+            <th style='text-align:right'>OR</th>
+            <th style='text-align:right'>CPE</th>
+            <th style='text-align:right'>CR</th>
+            <th style='text-align:right'>VC</th>
+            <th style='text-align:right'>RET</th>
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
 
           </tr>
@@ -107,40 +107,40 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_pt" />
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/admitted_pt" />
                 (<span tal:content="d/admitted_pt_percent" />%)
               </td>    
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/objection_raised_pt" />
                 (<span tal:content="d/objection_raised_pt_percent" />%)
               </td>    
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_pin_entered_pt" />
                 (<span tal:content="d/clearance_pin_entered_pt_percent" />%)
               </td>     
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/clearance_requested_pt" />
                 (<span tal:content="d/clearance_requested_pt_percent" />%)
               </td>          
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/cleared_and_validated_pt" />
                 (<span tal:content="d/cleared_and_validated_pt_percent" />%)
               </td>                       
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/returning_pt" />
                 (<span tal:content="d/returning_pt_percent" />%)
               </td>              
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_pt" />
                 (<span tal:content="d/school_fee_paid_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_pt" />
                 (<span tal:content="d/courses_registered_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_pt" />
                 (<span tal:content="d/courses_validated_pt_percent" />%)
Index: WAeUP_SRP/trunk/skins/waeup_statistics/statistics_ret_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_statistics/statistics_ret_view.pt	(revision 3959)
+++ WAeUP_SRP/trunk/skins/waeup_statistics/statistics_ret_view.pt	(revision 4305)
@@ -28,10 +28,10 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total</th>
+            <th style='text-align:right'>Total</th>
             
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
-            <th align="right">RET</th>
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
+            <th style='text-align:right'>RET</th>
 
           </tr>
@@ -39,20 +39,20 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_ft" />
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_ft" />
                 (<span tal:content="d/school_fee_paid_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_ft" />
                 (<span tal:content="d/courses_registered_ft_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_ft" />
                 (<span tal:content="d/courses_validated_ft_percent" />%)
               </td>        
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/returning_ft" />
                 (<span tal:content="d/returning_ft_percent" />%)
@@ -68,10 +68,10 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total</th>
+            <th style='text-align:right'>Total</th>
 
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
-            <th align="right">RET</th>            
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
+            <th style='text-align:right'>RET</th>            
 
           </tr>
@@ -79,20 +79,20 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_pt" />
               </td>        
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_pt" />
                 (<span tal:content="d/school_fee_paid_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_pt" />
                 (<span tal:content="d/courses_registered_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_pt" />
                 (<span tal:content="d/courses_validated_pt_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/returning_pt" />
                 (<span tal:content="d/returning_pt_percent" />%)
@@ -108,10 +108,10 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">Total</th>
+            <th style='text-align:right'>Total</th>
 
-            <th align="right">SFP</th>
-            <th align="right">CLR</th>
-            <th align="right">CLV</th>
-            <th align="right">RET</th>            
+            <th style='text-align:right'>SFP</th>
+            <th style='text-align:right'>CLR</th>
+            <th style='text-align:right'>CLV</th>
+            <th style='text-align:right'>RET</th>            
 
           </tr>
@@ -119,20 +119,20 @@
               tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
               <td width="80px"> <span tal:content="d/id" /> </td>
-              <td width="80px" align="right">
+              <td width="80px" style='text-align:right'>
                 <span tal:content="d/total_dp" />
               </td>        
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/school_fee_paid_dp" />
                 (<span tal:content="d/school_fee_paid_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_registered_dp" />
                 (<span tal:content="d/courses_registered_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/courses_validated_dp" />
                 (<span tal:content="d/courses_validated_dp_percent" />%)
               </td>
-              <td width="80px" align="right"> 
+              <td width="80px" style='text-align:right'> 
                 <span tal:content="d/returning_dp" />
                 (<span tal:content="d/returning_dp_percent" />%)
Index: WAeUP_SRP/trunk/skins/waeup_statistics/statistics_simple_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_statistics/statistics_simple_view.pt	(revision 3959)
+++ WAeUP_SRP/trunk/skins/waeup_statistics/statistics_simple_view.pt	(revision 4305)
@@ -30,11 +30,11 @@
             <th>&nbsp;</th>
             
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Total</th>
+            <th style="border-style:solid; border-width:1px; border-color:black; text-align:center" colspan="3">Total</th>
             
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category A</th>
+            <th style="border-style:solid; border-width:1px; border-color:black; text-align:center" colspan="3">Category A</th>
 
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category B</th>
+            <th style="border-style:solid; border-width:1px; border-color:black; text-align:center" colspan="3">Category B</th>
 
-            <th style="border-style:solid; border-width:1px; border-color:black" align="center" colspan="3">Category C</th>
+            <th style="border-style:solid; border-width:1px; border-color:black; text-align:center" colspan="3">Category C</th>
 
 
@@ -43,16 +43,16 @@
           <tr class="odd ajaxtd">
             <th >Faculty</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
-            <th align="right">FT</th>
-            <th align="right">PT</th>
-            <th align="right">DP</th>
+            <th style='text-align:right'>FT</th>
+            <th style='text-align:right'>PT</th>
+            <th style='text-align:right'>DP</th>
+            <th style='text-align:right'>FT</th>
+            <th style='text-align:right'>PT</th>
+            <th style='text-align:right'>DP</th>
+            <th style='text-align:right'>FT</th>
+            <th style='text-align:right'>PT</th>
+            <th style='text-align:right'>DP</th>
+            <th style='text-align:right'>FT</th>
+            <th style='text-align:right'>PT</th>
+            <th style='text-align:right'>DP</th>
 
           </tr>
@@ -61,49 +61,49 @@
               <td width="80px"> <span tal:content="d/id" /> </td>
 
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_ft" />
               </td>              
 
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_pt" />
               </td>              
 
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_dp" />
               </td>                 
               
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Aft" />
               </td>              
 
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Apt" />
               </td>              
 
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Adp" />
               </td>              
 
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Bft" />
               </td>              
 
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Bpt" />
               </td>              
               
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Bdp" />
               </td>      
               
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Cft" />
               </td>      
               
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Cpt" />
               </td>      
               
-              <td width="60px" align="right"> 
+              <td width="60px" style='text-align:right'> 
                 <span tal:content="d/total_Cdp" />
               </td>                                                