Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt	(revision 4341)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt	(revision 4342)
@@ -201,28 +201,5 @@
         
 
-        <div class="field"
-          tal:define="error errors/subject|nothing"
-          tal:attributes="class python:test(error, 'field error', 'field')">
-          <label>
-            Betreff
-          </label>
-          <span class="fieldRequired" title="Required"
-                  i18n:attributes="title title_required;"
-                  i18n:translate="label_required">(Required)</span>              
-          <div>
-            Bitte geben Sie den Betreff der zu sendenden Nachricht ein.
-          </div>
-
-          <div tal:content="error">Validation error output</div>            
-
-          <input type="text" 
-                 id="subject" 
-                 name="subject" 
-                 size="95" 
-                 value 
-                 tal:attributes="value request/subject|nothing"
-                 />
-        </div>
-        
+    
         
         <div class="field"
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy	(revision 4341)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy	(revision 4342)
@@ -27,9 +27,26 @@
 
 ## make these arguments?
-subject = REQUEST.get('subject', '')
+#subject = REQUEST.get('subject', '')
+subject = 'Akademie EE Kontaktformular'3
 message = REQUEST.get('message', '')
 sender_from_address = REQUEST.get('sender_from_address', '')
 sender_lastname = REQUEST.get('sender_lastname', '')
 sender_firstname = REQUEST.get('sender_firstname', '')
+
+sender_company = REQUEST.get('sender_company', '')
+sender_address = REQUEST.get('sender_address', '')
+sender_city   = REQUEST.get('sender_city', '') 
+sender_phone  = REQUEST.get('sender_phone', '')
+
+stud_interesse = REQUEST.get('sender_from_address', '')
+ab_jahr = REQUEST.get('ab_jahr', '')
+interesse = REQUEST.get('interesse', '')
+schwerpunkt = REQUEST.get('schwerpunkt', '')
+about = REQUEST.get('about', '')
+frage4 = REQUEST.get('frage4', '')
+frage1 = REQUEST.get('frage1', '')
+frage2 = REQUEST.get('frage2', '')
+frage3 = REQUEST.get('frage3', '')
+
 
 send_to_address = portal.getProperty('email_from_address')
@@ -43,8 +60,21 @@
 variables = {'sender_from_address' : sender_from_address,
              'sender_lastname'     : sender_lastname,     
-             'sender_firstname'    : sender_firstname,          
+             'sender_firstname'    : sender_firstname,  
+             'sender_company'      : sender_company,
+             'sender_address'      : sender_address,
+             'sender_city'         : sender_city,
+             'sender_phone'        : sender_phone,
              'url'                 : url,
-             'subject'             : subject,
-             'message'             : message
+#             'subject'             : subject,
+             'message'             : message,
+             'stud_interesse'      : stud_interesse,
+             'ab_jahr'             : ab_jahr,      
+             'interesse'           : interesse,
+             'schwerpunkt'         : schwerpunkt,        
+             'about'               : about,
+             'frage4'              : frage4,
+             'frage1'              : frage1,
+             'frage2'              : frage2,
+             'frage3'              : frage3
              }
 
@@ -63,8 +93,21 @@
 ## clear request variables so form is cleared as well
 REQUEST.set('message', None)
-REQUEST.set('subject', None)
+#REQUEST.set('subject', None)
 REQUEST.set('sender_from_address', None)
 REQUEST.set('sender_lastname', None)
 REQUEST.set('sender_firstname', None)
+REQUEST.set('sender_company', None)
+REQUEST.set('sender_address', None)
+REQUEST.set('sender_city', None) 
+REQUEST.set('sender_phone', None)
+REQUEST.set('ab_jahr', None)
+REQUEST.set('interesse', None)
+REQUEST.set('schwerpunkt', None)
+REQUEST.set('about', None)
+REQUEST.set('frage4', None)
+REQUEST.set('frage1', None)
+REQUEST.set('frage2', None)
+REQUEST.set('frage3', None)
+
 
 plone_utils.addPortalMessage(_(u'Mail sent.'))
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt	(revision 4341)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt	(revision 4342)
@@ -4,12 +4,43 @@
                  portal utool/getPortalObject;
                  charset portal/email_charset|string:utf-8;
-                 dummy python:request.RESPONSE.setHeader('Content-Type', 'text/plain;;charset=%s' % charset);"
-><div i18n:translate="site_feedback_mailtemplate_body" tal:omit-tag="">
-You are receiving this mail because <span i18n:name="fullname" tal:omit-tag="" tal:content="options/sender_fullname|nothing" />
-<span i18n:name="from_address" tal:omit-tag="" tal:content="options/sender_from_address"/>
-is sending feedback about the site administered by you at <span i18n:name="url" tal:replace="options/url" />.
-The message sent was:
+                 dummy python:request.RESPONSE.setHeader('Content-Type', 'text/plain;;charset=%s' % charset);">
 
-<span i18n:name="message" tal:omit-tag="" tal:content="options/message | nothing" />
+<div i18n:translate="site_feedback_mailtemplate_body" tal:omit-tag="">
+
+Anfrage über das Kontaktformular der Akademie für Erneuerbare Energien:<br />
+
+Name: <span i18n:name="sender_firstname" tal:omit-tag="" tal:content="options/sender_firstname|nothing" />
+<span i18n:name="sender_lastname" tal:omit-tag="" tal:content="options/sender_lastname|nothing" /><br />
+Email: <span i18n:name="from_address" tal:omit-tag="" tal:content="options/sender_from_address"/><br />
+Firma: <span i18n:name="sender_company" tal:omit-tag="" tal:content="options/sender_company"/><br />
+Adresse: <span i18n:name="sender_address" tal:omit-tag="" tal:content="options/sender_address"/>, 
+<span i18n:name="sender_city" tal:omit-tag="" tal:content="options/sender_city"/><br />
+Telefon: <span i18n:name="sender_phone" tal:omit-tag="" tal:content="options/sender_phone"/><br />
+
+Mitteilung: <span i18n:name="message" tal:omit-tag="" tal:content="options/message | nothing" /><br />
+--
+Ich bin an einem Studium an der Akademie f&uuml;r Erneuerbare Energien interessiert:
+<span i18n:name="stud_interesse" tal:omit-tag="" tal:content="options/stud_interesse | nothing" />, ab:
+<span i18n:name="ab_jahr" tal:omit-tag="" tal:content="options/ab_jahr | nothing" /><br />
+
+Ich interessiere mich f&uuml;r: <span i18n:name="interesse" tal:omit-tag="" tal:content="options/interesse | nothing" /><br />
+
+Meine gew&uuml;nschten Themenschwerpunkte sind: <span i18n:name="schwerpunkt" tal:omit-tag="" tal:content="options/schwerpunkt | nothing" /><br />
+
+Ich bin: <span i18n:name="about" tal:omit-tag="" tal:content="options/about | nothing" /><br />
+
+Ich bin an einer Mitarbeit an der Akademie f&uuml;r Erneuerbare Energien interessiert. Bitte nehmen Sie Kontakt mit mir auf:
+<span i18n:name="frage4" tal:omit-tag="" tal:content="options/frage4 | nothing" /><br />
+
+
+Bitte informieren Sie mich &uuml;ber Studienangebot und Inhalte:
+<span i18n:name="frage1" tal:omit-tag="" tal:content="options/frage1 | nothing" /><br />
+
+Bitte nehmen Sie mich in die Warteliste f&uuml;r den gew&uuml;nschten Studiengang auf
+und informieren Sie mich kurzfristig &uuml;ber den fr&uuml;hestm&ouml;glichen Studieneinstiegstermin:
+<span i18n:name="frage2" tal:omit-tag="" tal:content="options/frage2 | nothing" /><br />
+
+Bitte kontaktieren Sie mich f&uuml;r ein unverbindliches Informationsgespr&auml;ch per E-Mail oder Telefon.
+<span i18n:name="frage3" tal:omit-tag="" tal:content="options/frage3 | nothing" />
 
 </div>
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/validate_site_feedback.vpy
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/validate_site_feedback.vpy	(revision 4341)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/validate_site_feedback.vpy	(revision 4342)
@@ -26,6 +26,6 @@
     state.setError('sender_firstname', _(u'Bitte geben Sie Ihren Vornamen ein.'), 'sender_firstname_required')     
  
-if not (subject and subject.strip()):
-    state.setError('subject', _(u'Please enter a subject.'), 'subject_required')
+#if not (subject and subject.strip()):
+#    state.setError('subject', _(u'Please enter a subject.'), 'subject_required')
 
 if state.getErrors():