Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt	(revision 4342)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt	(revision 4343)
@@ -238,25 +238,25 @@
 
 		<p><strong>Ich interessiere mich f&uuml;r </strong></p>
-		<p><input type="checkbox" class="checker" name="interesse">den Master-Studiengang</p>
-		<p><input type="checkbox" class="checker" name="interesse">die Zertifikatskurse</p>
-		<p><input type="checkbox" class="checker" name="interesse">die Seminare</p>
+		<p><input type="checkbox" class="checker" name="interesse" value"master">den Master-Studiengang</p>
+		<p><input type="checkbox" class="checker" name="interesse" value"zertifikate">die Zertifikatskurse</p>
+		<p><input type="checkbox" class="checker" name="interesse" value"seminare">die Seminare</p>
 
 		<p><strong>Meine gew&uuml;nschten Themenschwerpunkte sind </strong></p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt">Biomasse, Biogas</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt">Bio-Kraftstoffe</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt">Solarenergie</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt">Windenergie</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt">Geothermie</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt">Wasserkraft</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt">
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value"biomasse">Biomasse, Biogas</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value"kraftstoffe">Bio-Kraftstoffe</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value"solar">Solarenergie</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value"wind">Windenergie</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value"geothermie">Geothermie</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value"wasser">Wasserkraft</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt"  value"anderes">
         <input type="text" name="schwerpunkt_mein" id="schwerpunkt_mein" value></p>
 
 		<p><strong>Ich bin </strong></p>
-		<p><input type="checkbox" class="checker" name="about">Akademiker bzw. verf&uuml;ge &uuml;ber ein abgeschlossenes Hochschulstudium</p>
-		<p><input type="checkbox" class="checker" name="about" >selbstst&auml;ndiger Unternehmer mit langj&auml;hriger Berufserfahrung</p>
-		<p><input type="checkbox" class="checker" name="about">Handwerker/Handwerksmeister</p>
-		<p><input type="checkbox" class="checker" name="about">angestellte Fach-/F&uuml;hrungskraft</p>
-		<p><input type="checkbox" class="checker" name="about">Student</p>
-		<p><input type="checkbox" class="checker" name="about"><input type="text" name="about_mein" id="about_mein" value></p>
+		<p><input type="checkbox" class="checker" name="about" value "akademiker">Akademiker bzw. verf&uuml;ge &uuml;ber ein abgeschlossenes Hochschulstudium</p>
+		<p><input type="checkbox" class="checker" name="about" value "unternehmer">selbstst&auml;ndiger Unternehmer mit langj&auml;hriger Berufserfahrung</p>
+		<p><input type="checkbox" class="checker" name="about" value "handwerker">Handwerker/Handwerksmeister</p>
+		<p><input type="checkbox" class="checker" name="about" value "angestellt">angestellte Fach-/F&uuml;hrungskraft</p>
+		<p><input type="checkbox" class="checker" name="about" value "student">Student</p>
+		<p><input type="checkbox" class="checker" name="about" value "anderes"><input type="text" name="about_mein" id="about_mein" value></p>
 
 
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy	(revision 4342)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy	(revision 4343)
@@ -27,6 +27,6 @@
 
 ## make these arguments?
-#subject = REQUEST.get('subject', '')
-subject = 'Akademie EE Kontaktformular'3
+##subject = REQUEST.get('subject', '')
+subject = 'Akademie EE Kontaktformular'
 message = REQUEST.get('message', '')
 sender_from_address = REQUEST.get('sender_from_address', '')
@@ -39,5 +39,5 @@
 sender_phone  = REQUEST.get('sender_phone', '')
 
-stud_interesse = REQUEST.get('sender_from_address', '')
+stud_interesse = REQUEST.get('stud_interesse', '')
 ab_jahr = REQUEST.get('ab_jahr', '')
 interesse = REQUEST.get('interesse', '')
@@ -66,5 +66,5 @@
              'sender_phone'        : sender_phone,
              'url'                 : url,
-#             'subject'             : subject,
+##             'subject'             : subject,
              'message'             : message,
              'stud_interesse'      : stud_interesse,
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt	(revision 4342)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt	(revision 4343)
@@ -1,4 +1,3 @@
-<div i18n:domain="plone" 
-     tal:omit-tag=""
+<div tal:omit-tag=""
      tal:define="utool nocall:here/portal_url;
                  portal utool/getPortalObject;
@@ -6,45 +5,31 @@
                  dummy python:request.RESPONSE.setHeader('Content-Type', 'text/plain;;charset=%s' % charset);">
 
-<div i18n:translate="site_feedback_mailtemplate_body" tal:omit-tag="">
+<div i18n:translate="" tal:omit-tag="">
+Name: <span i18n:name="sender_firstname" tal:omit-tag="" tal:content="options/sender_firstname|nothing" /> <span i18n:name="sender_lastname" tal:omit-tag="" tal:content="options/sender_lastname|nothing" />
+Email: <span i18n:name="from_address" tal:omit-tag="" tal:content="options/sender_from_address"/>
+Firma: <span i18n:name="sender_company" tal:omit-tag="" tal:content="options/sender_company"/>
+Adresse: <span i18n:name="sender_address" tal:omit-tag="" tal:content="options/sender_address"/>, <span i18n:name="sender_city" tal:omit-tag="" tal:content="options/sender_city"/>
+Telefon: <span i18n:name="sender_phone" tal:omit-tag="" tal:content="options/sender_phone"/>
 
-Anfrage über das Kontaktformular der Akademie für Erneuerbare Energien:<br />
+Mitteilung: <span i18n:name="message" tal:omit-tag="" tal:content="options/message | nothing" />
 
-Name: <span i18n:name="sender_firstname" tal:omit-tag="" tal:content="options/sender_firstname|nothing" />
-<span i18n:name="sender_lastname" tal:omit-tag="" tal:content="options/sender_lastname|nothing" /><br />
-Email: <span i18n:name="from_address" tal:omit-tag="" tal:content="options/sender_from_address"/><br />
-Firma: <span i18n:name="sender_company" tal:omit-tag="" tal:content="options/sender_company"/><br />
-Adresse: <span i18n:name="sender_address" tal:omit-tag="" tal:content="options/sender_address"/>, 
-<span i18n:name="sender_city" tal:omit-tag="" tal:content="options/sender_city"/><br />
-Telefon: <span i18n:name="sender_phone" tal:omit-tag="" tal:content="options/sender_phone"/><br />
+Ich bin an einem Studium an der Akademie für Erneuerbare Energien interessiert: <span i18n:name="stud_interesse" tal:omit-tag="" tal:content="options/stud_interesse | nothing" />, ab:
+<span i18n:name="ab_jahr" tal:omit-tag="" tal:content="options/ab_jahr | nothing" />
 
-Mitteilung: <span i18n:name="message" tal:omit-tag="" tal:content="options/message | nothing" /><br />
---
-Ich bin an einem Studium an der Akademie f&uuml;r Erneuerbare Energien interessiert:
-<span i18n:name="stud_interesse" tal:omit-tag="" tal:content="options/stud_interesse | nothing" />, ab:
-<span i18n:name="ab_jahr" tal:omit-tag="" tal:content="options/ab_jahr | nothing" /><br />
+Ich interessiere mich für: <span i18n:name="interesse" tal:omit-tag="" tal:content="options/interesse | nothing" />
 
-Ich interessiere mich f&uuml;r: <span i18n:name="interesse" tal:omit-tag="" tal:content="options/interesse | nothing" /><br />
+Meine gewünschten Themenschwerpunkte sind: <span i18n:name="schwerpunkt" tal:omit-tag="" tal:content="options/schwerpunkt | nothing" />
 
-Meine gew&uuml;nschten Themenschwerpunkte sind: <span i18n:name="schwerpunkt" tal:omit-tag="" tal:content="options/schwerpunkt | nothing" /><br />
+Ich bin: <span i18n:name="about" tal:omit-tag="" tal:content="options/about | nothing" />
 
-Ich bin: <span i18n:name="about" tal:omit-tag="" tal:content="options/about | nothing" /><br />
+Ich bin an einer Mitarbeit an der Akademie für Erneuerbare Energien interessiert. Bitte nehmen Sie Kontakt mit mir auf: <span i18n:name="frage4" tal:omit-tag="" tal:content="options/frage4 | nothing" />
 
-Ich bin an einer Mitarbeit an der Akademie f&uuml;r Erneuerbare Energien interessiert. Bitte nehmen Sie Kontakt mit mir auf:
-<span i18n:name="frage4" tal:omit-tag="" tal:content="options/frage4 | nothing" /><br />
+Bitte informieren Sie mich über Studienangebot und Inhalte: <span i18n:name="frage1" tal:omit-tag="" tal:content="options/frage1 | nothing" />
 
+Bitte nehmen Sie mich in die Warteliste für den gewünschten Studiengang auf und informieren Sie mich kurzfristig über den frühestmöglichen Studieneinstiegstermin: <span i18n:name="frage2" tal:omit-tag="" tal:content="options/frage2 | nothing" />
 
-Bitte informieren Sie mich &uuml;ber Studienangebot und Inhalte:
-<span i18n:name="frage1" tal:omit-tag="" tal:content="options/frage1 | nothing" /><br />
-
-Bitte nehmen Sie mich in die Warteliste f&uuml;r den gew&uuml;nschten Studiengang auf
-und informieren Sie mich kurzfristig &uuml;ber den fr&uuml;hestm&ouml;glichen Studieneinstiegstermin:
-<span i18n:name="frage2" tal:omit-tag="" tal:content="options/frage2 | nothing" /><br />
-
-Bitte kontaktieren Sie mich f&uuml;r ein unverbindliches Informationsgespr&auml;ch per E-Mail oder Telefon.
-<span i18n:name="frage3" tal:omit-tag="" tal:content="options/frage3 | nothing" />
+Bitte kontaktieren Sie mich für ein unverbindliches Informationsgespräch per E-Mail oder Telefon: <span i18n:name="frage3" tal:omit-tag="" tal:content="options/frage3 | nothing" />
 
 </div>
--- 
-<span tal:replace="portal/email_from_name" />
 
 </div>
Index: /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/validate_site_feedback.vpy
===================================================================
--- /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/validate_site_feedback.vpy	(revision 4342)
+++ /akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/validate_site_feedback.vpy	(revision 4343)
@@ -6,5 +6,5 @@
 ##bind state=state  
 ##bind subpath=traverse_subpath
-##parameters=subject,sender_from_address,sender_lastname,sender_firstname
+##parameters=sender_from_address,sender_lastname,sender_firstname
 ##title=validates the form for sending feedback
 