Index: akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt
===================================================================
--- akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt	(revision 4343)
+++ akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/contact-info.cpt	(revision 4344)
@@ -238,25 +238,25 @@
 
 		<p><strong>Ich interessiere mich f&uuml;r </strong></p>
-		<p><input type="checkbox" class="checker" name="interesse" value"master">den Master-Studiengang</p>
-		<p><input type="checkbox" class="checker" name="interesse" value"zertifikate">die Zertifikatskurse</p>
-		<p><input type="checkbox" class="checker" name="interesse" value"seminare">die Seminare</p>
+		<p><input type="checkbox" class="checker" name="interesse" value="master">den Master-Studiengang</p>
+		<p><input type="checkbox" class="checker" name="interesse" value="zertifikate">die Zertifikatskurse</p>
+		<p><input type="checkbox" class="checker" name="interesse" value="seminare">die Seminare</p>
 
 		<p><strong>Meine gew&uuml;nschten Themenschwerpunkte sind </strong></p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt" value"biomasse">Biomasse, Biogas</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt" value"kraftstoffe">Bio-Kraftstoffe</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt" value"solar">Solarenergie</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt" value"wind">Windenergie</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt" value"geothermie">Geothermie</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt" value"wasser">Wasserkraft</p>
-		<p><input type="checkbox" class="checker" name="schwerpunkt"  value"anderes">
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value="biomasse">Biomasse, Biogas</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value="kraftstoffe">Bio-Kraftstoffe</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value="solar">Solarenergie</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value="wind">Windenergie</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value="geothermie">Geothermie</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt" value="wasser">Wasserkraft</p>
+		<p><input type="checkbox" class="checker" name="schwerpunkt"  value="anderes">
         <input type="text" name="schwerpunkt_mein" id="schwerpunkt_mein" value></p>
 
 		<p><strong>Ich bin </strong></p>
-		<p><input type="checkbox" class="checker" name="about" value "akademiker">Akademiker bzw. verf&uuml;ge &uuml;ber ein abgeschlossenes Hochschulstudium</p>
-		<p><input type="checkbox" class="checker" name="about" value "unternehmer">selbstst&auml;ndiger Unternehmer mit langj&auml;hriger Berufserfahrung</p>
-		<p><input type="checkbox" class="checker" name="about" value "handwerker">Handwerker/Handwerksmeister</p>
-		<p><input type="checkbox" class="checker" name="about" value "angestellt">angestellte Fach-/F&uuml;hrungskraft</p>
-		<p><input type="checkbox" class="checker" name="about" value "student">Student</p>
-		<p><input type="checkbox" class="checker" name="about" value "anderes"><input type="text" name="about_mein" id="about_mein" value></p>
+		<p><input type="checkbox" class="checker" name="about" value="akademiker">Akademiker bzw. verf&uuml;ge &uuml;ber ein abgeschlossenes Hochschulstudium</p>
+		<p><input type="checkbox" class="checker" name="about" value="unternehmer">selbstst&auml;ndiger Unternehmer mit langj&auml;hriger Berufserfahrung</p>
+		<p><input type="checkbox" class="checker" name="about" value="handwerker">Handwerker/Handwerksmeister</p>
+		<p><input type="checkbox" class="checker" name="about" value="angestellt">angestellte Fach-/F&uuml;hrungskraft</p>
+		<p><input type="checkbox" class="checker" name="about" value="student">Student</p>
+		<p><input type="checkbox" class="checker" name="about" value="anderes"><input type="text" name="about_mein" id="about_mein" value></p>
 
 
Index: akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy
===================================================================
--- akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy	(revision 4343)
+++ akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/send_feedback_site.cpy	(revision 4344)
@@ -43,5 +43,7 @@
 interesse = REQUEST.get('interesse', '')
 schwerpunkt = REQUEST.get('schwerpunkt', '')
+schwerpunkt_mein = REQUEST.get('schwerpunkt_mein', '')
 about = REQUEST.get('about', '')
+about_mein = REQUEST.get('about_mein', '')
 frage4 = REQUEST.get('frage4', '')
 frage1 = REQUEST.get('frage1', '')
@@ -66,5 +68,5 @@
              'sender_phone'        : sender_phone,
              'url'                 : url,
-##             'subject'             : subject,
+##           'subject'             : subject,
              'message'             : message,
              'stud_interesse'      : stud_interesse,
@@ -72,5 +74,7 @@
              'interesse'           : interesse,
              'schwerpunkt'         : schwerpunkt,        
+             'schwerpunkt_mein'    : schwerpunkt_mein,
              'about'               : about,
+             'about_mein'          : about_mein,
              'frage4'              : frage4,
              'frage1'              : frage1,
@@ -104,5 +108,7 @@
 REQUEST.set('interesse', None)
 REQUEST.set('schwerpunkt', None)
+REQUEST.set('schwerpunkt_mein', None)
 REQUEST.set('about', None)
+REQUEST.set('about_mein', None)
 REQUEST.set('frage4', None)
 REQUEST.set('frage1', None)
Index: akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt
===================================================================
--- akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt	(revision 4343)
+++ akademie/plone_themes/akademie.theme/akademie/theme/skins/akademie_theme_custom_skins/site_feedback_template.pt	(revision 4344)
@@ -12,24 +12,28 @@
 Telefon: <span i18n:name="sender_phone" tal:omit-tag="" tal:content="options/sender_phone"/>
 
-Mitteilung: <span i18n:name="message" tal:omit-tag="" tal:content="options/message | nothing" />
+<span i18n:name="message" tal:omit-tag="" tal:content="options/message | nothing" />
 
-Ich bin an einem Studium an der Akademie für Erneuerbare Energien interessiert: <span i18n:name="stud_interesse" tal:omit-tag="" tal:content="options/stud_interesse | nothing" />, ab:
-<span i18n:name="ab_jahr" tal:omit-tag="" tal:content="options/ab_jahr | nothing" />
-
-Ich interessiere mich für: <span i18n:name="interesse" tal:omit-tag="" tal:content="options/interesse | nothing" />
-
-Meine gewünschten Themenschwerpunkte sind: <span i18n:name="schwerpunkt" tal:omit-tag="" tal:content="options/schwerpunkt | nothing" />
-
-Ich bin: <span i18n:name="about" tal:omit-tag="" tal:content="options/about | nothing" />
-
-Ich bin an einer Mitarbeit an der Akademie für Erneuerbare Energien interessiert. Bitte nehmen Sie Kontakt mit mir auf: <span i18n:name="frage4" tal:omit-tag="" tal:content="options/frage4 | nothing" />
-
-Bitte informieren Sie mich über Studienangebot und Inhalte: <span i18n:name="frage1" tal:omit-tag="" tal:content="options/frage1 | nothing" />
-
-Bitte nehmen Sie mich in die Warteliste für den gewünschten Studiengang auf und informieren Sie mich kurzfristig über den frühestmöglichen Studieneinstiegstermin: <span i18n:name="frage2" tal:omit-tag="" tal:content="options/frage2 | nothing" />
-
-Bitte kontaktieren Sie mich für ein unverbindliches Informationsgespräch per E-Mail oder Telefon: <span i18n:name="frage3" tal:omit-tag="" tal:content="options/frage3 | nothing" />
-
+<span tal:omit-tag="" tal:condition="options/stud_interesse | nothing">Ich bin an einem Studium an der Akademie fuer Erneuerbare Energien ab <span i18n:name="ab_jahr" tal:omit-tag="" tal:content="options/ab_jahr | nothing" /> interessiert.
+</span><span tal:omit-tag="" tal:condition="python:'master' in options['interesse']">Ich interessiere mich fuer den Masterstudiengang.
+</span><span tal:omit-tag="" tal:condition="python:'seminare' in options['interesse']">Ich interessiere mich fuer die Seminare.
+</span><span tal:omit-tag="" tal:condition="python:'zertifikate' in options['interesse']">Ich interessiere mich fuer die Zertifikatskurse.
+</span><span tal:omit-tag="" tal:condition="python:'biomasse' in options['schwerpunkt']">Mein gewuenschter Themenschwerpunkt ist Biomasse, Biogas.
+</span><span tal:omit-tag="" tal:condition="python:'kraftstoffe' in options['schwerpunkt']">Mein gewuenschter Themenschwerpunkt ist Bio-Kraftstoffe.
+</span><span tal:omit-tag="" tal:condition="python:'solar' in options['schwerpunkt']">Mein gewuenschter Themenschwerpunkt ist Solarenergie.
+</span><span tal:omit-tag="" tal:condition="python:'wind' in options['schwerpunkt']">Mein gewuenschter Themenschwerpunkt ist Windenergie.
+</span><span tal:omit-tag="" tal:condition="python:'geothermie' in options['schwerpunkt']">Mein gewuenschter Themenschwerpunkt ist Geothermie.
+</span><span tal:omit-tag="" tal:condition="python:'wasser' in options['schwerpunkt']">Mein gewuenschter Themenschwerpunkt ist Wasserkraft.
+</span><span tal:omit-tag="" tal:condition="python:'anderes' in options['schwerpunkt']">Mein gewuenschter Themenschwerpunkt ist <span tal:omit-tag="" tal:content="options/schwerpunkt_mein"/>.
+</span><span tal:omit-tag="" tal:condition="python:'akademiker' in options['about']">Ich bin Akademiker bzw. verfuege ueber ein abgeschlossenes Hochschulstudium.
+</span><span tal:omit-tag="" tal:condition="python:'unternehmer' in options['about']">Ich bin selbststaendiger Unternehmer mit langjähriger Berufserfahrung.
+</span><span tal:omit-tag="" tal:condition="python:'handwerker' in options['about']">Ich bin Handwerker/Handwerksmeister.
+</span><span tal:omit-tag="" tal:condition="python:'angestellt' in options['about']">Ich bin angestellte Fach-/Führungskraft.
+</span><span tal:omit-tag="" tal:condition="python:'student' in options['about']">Ich bin Student.  
+</span><span tal:omit-tag="" tal:condition="python:'anderes' in options['about']">Ich bin <span tal:omit-tag="" tal:content="options/about_mein"/>.
+</span><span tal:omit-tag="" tal:condition="options/frage4 | nothing">Ich bin an einer Mitarbeit an der Akademie fuer Erneuerbare Energien interessiert. Bitte nehmen Sie Kontakt mit mir auf. 
+</span><span tal:omit-tag="" tal:condition="options/frage1 | nothing">Bitte informieren Sie mich ueber Studienangebot und Inhalte.
+</span><span tal:omit-tag="" tal:condition="options/frage2 | nothing">Bitte nehmen Sie mich in die Warteliste fuer den gewuenschten Studiengang auf und informieren Sie mich kurzfristig ueber den fruehestmoeglichen Studieneinstiegstermin.
+</span><span tal:omit-tag="" tal:condition="options/frage3 | nothing">Bitte kontaktieren Sie mich fuer ein unverbindliches Informationsgespräch per E-Mail oder Telefon.
+</span>
 </div>
-
 </div>