Index: /waeup/branches/ulif-rewrite/src/waeup/utils/helpers.txt
===================================================================
--- /waeup/branches/ulif-rewrite/src/waeup/utils/helpers.txt	(revision 4376)
+++ /waeup/branches/ulif-rewrite/src/waeup/utils/helpers.txt	(revision 4377)
@@ -1,67 +1,94 @@
-Helpers for the WAeUP SRP
-*************************
+:mod:`waeup.utils.helpers` -- Helpers for the WAeUP SRP
+*******************************************************
+
+.. module:: waeup.utils.helpers
+
+Helper functions for the WAeUP SRP.
 
 :Test-Layer: unit
 
-`removeFileOrDirectory`
-=======================
-
-Removes a file or directory given by a path. We can remove files:
-
-    >>> import os
-    >>> from waeup.utils.helpers import removeFileOrDirectory
-    >>> open('blah', 'wb').write('nonsense')
-    >>> 'blah' in os.listdir('.')
-    True
-
-    >>> removeFileOrDirectory('blah')
-    >>> 'blah' in os.listdir('.')
-    False
-
-We can remove directories:
-
-    >>> os.mkdir('blah')
-    >>> 'blah' in os.listdir('.')
-    True
-
-    >>> removeFileOrDirectory('blah')
-    >>> 'blah' in os.listdir('.')
-    False
-
-
-`copyFileSystemTree`
-====================
-
-Copies the contents of an (existing) directory to another (existing)
-directory:
-
-    >>> os.mkdir('src')
-    >>> os.mkdir('dst')
-    >>> open(os.path.join('src', 'blah'), 'wb').write('nonsense')
-
-    >>> from waeup.utils.helpers import copyFileSystemTree
-    >>> result = copyFileSystemTree('src', 'dst')
-
-As a result we get a list of non-copied files:
-
-    >>> result
-    []
-
-The created file was indeed copied:
-
-    >>> 'blah' in os.listdir('dst')
-    True
-
-Hidden files (i.e. such starting with a dot) are not copied:
-
-    >>> open(os.path.join('src', '.blah'), 'wb').write('nonsense')
-    >>> result = copyFileSystemTree('src', 'dst')
-    >>> '.blah' in os.listdir('dst')
-    False
-
-This function supports some keyword parameters as explained below.
-
-`overwrite`
------------
+:func:`removeFileOrDirectory`
+=============================
+
+.. function:: removeFileOrDirectory(path)
+
+   Removes a file or directory given by a path. We can remove files:
+
+     >>> import os
+     >>> from waeup.utils.helpers import removeFileOrDirectory
+     >>> open('blah', 'wb').write('nonsense')
+     >>> 'blah' in os.listdir('.')
+     True
+
+     >>> removeFileOrDirectory('blah')
+     >>> 'blah' in os.listdir('.')
+     False
+
+   We can remove directories:
+
+     >>> os.mkdir('blah')
+     >>> 'blah' in os.listdir('.')
+     True
+
+     >>> removeFileOrDirectory('blah')
+     >>> 'blah' in os.listdir('.')
+     False
+
+
+:func:`copyFileSystemTree`
+==========================
+
+.. function:: copyFileSystemTree(src_path, dst_path[, overwrite=False[, del_old=False]])
+
+   Copies the contents of an (existing) directory to another
+   (existing) directory.
+
+   :param src_path: filesystem path to copy from
+   :type  src_path: string
+   :param dst_path: filesystem path to copy to
+   :type  dst_path: string
+   :keyword overwrite: Whether exiting files with same names should be
+                     overwritten.
+   :type  overwrite: bool
+   :keyword del_old: Whether old contents in destination path should be 
+                   removed.
+   :type  del_old: bool
+   :return: List of non-copied files
+ 
+   Both directories must exist.
+
+   Unix hidden files and directories (starting with '.') are not
+   processed by this function.
+
+   Without any further parameters, we can copy complete file trees:
+
+     >>> os.mkdir('src')
+     >>> os.mkdir('dst')
+     >>> open(os.path.join('src', 'blah'), 'wb').write('nonsense')
+
+     >>> from waeup.utils.helpers import copyFileSystemTree
+     >>> result = copyFileSystemTree('src', 'dst')
+
+   As a result we get a list of non-copied files:
+
+     >>> result
+     []
+
+   The created file was indeed copied:
+
+     >>> 'blah' in os.listdir('dst')
+     True
+
+   Hidden files (i.e. such starting with a dot) are not copied:
+
+     >>> open(os.path.join('src', '.blah'), 'wb').write('nonsense')
+     >>> result = copyFileSystemTree('src', 'dst')
+     >>> '.blah' in os.listdir('dst')
+     False
+
+   This function supports some keyword parameters as explained below.
+
+Using ``overwrite``
+-------------------
 
 Boolean. If set to ``True``, any existing and same named files and
@@ -107,6 +134,6 @@
 
 
-`del_old`
----------
+Using ``del_old``
+-----------------
 
 Boolean. If set to ``True``, any copied files and directories will be
@@ -126,4 +153,5 @@
     >>> removeFileOrDirectory('src')
     >>> removeFileOrDirectory('dst')
+
 
 :func:`getInnerHTMLPart()`